<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ModificationSelection StructType
 * @subpackage Structs
 */
class ModificationSelection extends AbstractStructBase
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $Id;
    /**
     * The MaxAmountInReturn
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $MaxAmountInReturn;
    /**
     * Constructor method for ModificationSelection
     * @uses ModificationSelection::setId()
     * @uses ModificationSelection::setMaxAmountInReturn()
     * @param int $id
     * @param int $maxAmountInReturn
     */
    public function __construct($id = null, $maxAmountInReturn = null)
    {
        $this
            ->setId($id)
            ->setMaxAmountInReturn($maxAmountInReturn);
    }
    /**
     * Get Id value
     * @return int
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \StructType\ModificationSelection
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get MaxAmountInReturn value
     * @return int
     */
    public function getMaxAmountInReturn()
    {
        return $this->MaxAmountInReturn;
    }
    /**
     * Set MaxAmountInReturn value
     * @param int $maxAmountInReturn
     * @return \StructType\ModificationSelection
     */
    public function setMaxAmountInReturn($maxAmountInReturn = null)
    {
        // validation for constraint: int
        if (!is_null($maxAmountInReturn) && !(is_int($maxAmountInReturn) || ctype_digit($maxAmountInReturn))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($maxAmountInReturn, true), gettype($maxAmountInReturn)), __LINE__);
        }
        $this->MaxAmountInReturn = $maxAmountInReturn;
        return $this;
    }
}
